### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection

# Class WrongCredentialsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.services.connection.ConnectionFactoryException
com.sas.services.connection.LoginException
com.sas.services.connection.CredentialsException
com.sas.services.connection.WrongCredentialsException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class WrongCredentialsException extends CredentialsException
The connection factory throws a wrong credentials exception when a connection request cannot be granted because the credentials presented with the connection request were not from an authetication domain supported by the connection factory.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WrongCredentialsException(String msg, Credential badCredential, List supportedDomains)`
  Construct an exception to be thrown when a connection request cannot be satisfied because the credentials presented were not from an authentication domain supported by the connection factory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List`
  `getSupportedDomains()`

  ### Methods inherited from class com.sas.services.connection.CredentialsException

  `getDomain, getUserName, isPasswordCredential`

  ### Methods inherited from class com.sas.services.connection.LoginException

  `isLoginCallbackError, setLoginCallbackError`

  ### Methods inherited from class com.sas.services.connection.ConnectionFactoryException

  `getRootException, getTargetException`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WrongCredentialsException

    public WrongCredentialsException(String msg, Credential badCredential, List supportedDomains)
    Construct an exception to be thrown when a connection request cannot be satisfied because the credentials presented were not from an authentication domain supported by the connection factory
    Parameters:
      `msg` - a message providing further details about the exception
      `badCredential` - the credential from the wrong authentication domain
      `supportedDomains` - the required authentication domains

- ## Method Details

  - ### getSupportedDomains

    public List getSupportedDomains()